Please Help, I cannot install Plugins on my Mac OS X Server.

Discussion in 'Spigot Help' started by MacBlaze, Jun 12, 2015.

  1. When i try to install plugins from "Jenkins" And from Curse, It Gives me this message:
    [15:49:45 ERROR]: Could not load 'plugins/AdminFun (1).jar' in folder 'plugins'

    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/trevor1134/adminfun/AdminFun : Unsupported major.minor version 51.0

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot.jar:git-Spigot-044d928-e8c6403]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:291) [spigot.jar:git-Spigot-044d928-e8c6403]

    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot.jar:git-Spigot-044d928-e8c6403]

    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:528) [spigot.jar:git-Spigot-044d928-e8c6403]

    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]

    Note: This is just an example.
    Caused by: java.lang.UnsupportedClassVersionError: me/trevor1134/adminfun/AdminFun : Unsupported major.minor version 51.0

    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]

    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]

    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]

    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]

    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]

    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]

    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]

    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]

    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]

    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]

    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]

    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]

    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot.jar:git-Spigot-044d928-e8c6403]

    ... 6 more
     
  2. joehot200

    Supporter

    Uninstall java 6, install java 8.
     
    • Useful Useful x 1
  3. I have Mac Not windows. I do not believe Java 8 is available for Mac's.
     
  4. It looks like it's only disabling one plugin, unless that's the only plugin you have on your server. @joehot200 Might be right about upgrading to Java 8, but if you read the log closely it says "Unsupported major.minor version 51.0" which is an issue in the plugin's plugin.yml, where the version needs to be changed.

    Hope I helped, Sorry if it didn't.
     
  5. Joe is completely right.
     
    • Like Like x 1
    • Funny Funny x 1
  6. Sorry bout that ahha. @MacBlaze, discard my comment ^^ :p
     
  7. maldahleh

    Wiki Team

    Java 8 is available for Mac, not sure where you've seen that it's not.
     
  8. Pastebin your errors!.
     
  9. How Do I install it?
     
  10. NVM, What do I do now?
     
  11. Did not work, Same results.
     
  12. How do you launch your server ?

    java [...] -jar spigot_server.jar ?

    What is the output of this ?
    java -version

    (it should be something like :
    java version "1.8.0_45"
    Java(TM) SE Runtime Environment (build 1.8.0_45-b14)
    Java HotSpot(TM) 64-Bit Server VM (build 25.45-b02, mixed mode)
    )
     
  13. Permissions? I might be completely wrong here.
     
  14. Permissions have nothing to do here ^^
    Java has always been a pain on macs.